#ifndef MIMICWIN_H
#define MIMICWIN_H

#include <QtGui/QMainWindow>
#include <iostream>
#include "armachine.h"
#include "arminstruction.h"
#include "mimicexception.h"

namespace Ui
{
    class MimicWin;
}

class MimicWin : public QMainWindow
{
    Q_OBJECT

public:
    MimicWin(QWidget *parent = 0);
    ~MimicWin();

	void UpdateWindow();

private:
    Ui::MimicWin *ui;
	ARMachine *arm;

private slots:
	void on_btnStepOver_clicked();
};

#endif // MIMICWIN_H
